Vector::BLF::AfdxBusStatistic(3)

NAME
Vector::BLF::AfdxBusStatistic - AFDX_BUS_STATISTIC.

SYNOPSIS

#include <AfdxBusStatistic.h>

Inherits Vector::BLF::ObjectHeader.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint16_t flags {}
Bit0=Valid Rx/Tx Counter, Bit1=Valid Error Counter; Bit2=Valid VLId.
uint32_t statDuration {}
real time period in mysec of statistic datacollection
uint32_t statRxPacketCountHW {}
read frames taken from hardware, i.e. on bus
uint32_t statTxPacketCountHW {}
send frames as taken from hardware, i.e. on bus
uint32_t statRxErrorCountHW {}
number of erronous Rx-frames detected by HW
uint32_t statTxErrorCountHW {}
number of erronous Tx-frames detected by HW
uint32_t statRxBytesHW {}
bytes received by HW during this time period
uint32_t statTxBytesHW {}
bytes sent by HW during this time period
uint32_t statRxPacketCount {}
received frames within CANwin
uint32_t statTxPacketCount {}
send packets from within CANwin
uint32_t statDroppedPacketCount {}
number of packets aktively dropped by CANwin
uint32_t statInvalidPacketCount {}
number of packets with incompatible eth-header regarding AFDX-spec
uint32_t statLostPacketCount {}
number of packets lost by CABwin due to queue overflow etc
uint8_t line {}
lineA (0) or lineB (1)
uint8_t linkStatus {}
status of adapter as per EthernetStatus
uint16_t linkSpeed {}
link speed: 0:=10mbps 1:=100mbps 2:=1000mbps
uint16_t linkLost {}
counter of link-losses during this period
uint16_t reservedAfdxBusStatistic1 {}
uint32_t reservedAfdxBusStatistic2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

AFDX_BUS_STATISTIC. AFDX line-specific bus-statistic event used since 8.2

Member Function Documentation

  uint32_t Vector::BLF::AfdxBusStatistic::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxBusStatistic::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AfdxBusStatistic::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::AfdxBusStatistic::reservedAfdxBusStatistic1 {}
reserved

  uint32_t Vector::BLF::AfdxBusStatistic::reservedAfdxBusStatistic2 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.